%global momorel 1

Summary: Tracks runtime library calls for dynamically linked executables
Name: ltrace
Version: 0.4
Release: %{momorel}m
URL: http://packages.debian.org/unstable/utils/ltrace.html
Source: http://ftp.debian.org/pool/main/l/ltrace/%{name}_%{version}.orig.tar.gz
NoSource: 0
License: GPL
Group: Development/Debuggers
ExclusiveArch: %{ix86} sparc alpha x86_64 ppc
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Patch1: install-perm.patch

%description
ltrace is a debugging program which runs a specified command until it
exits.  While the command is executing, ltrace intercepts and records
the dynamic library calls which are called by
the executed process and the signals received by that process.
It can also intercept and print the system calls executed by the program.

The program to be traced need not be recompiled for this, so you can
use it on binaries for which you don't have the source handy.

You should install ltrace if you need a sysadmin tool for tracking the
execution of processes.

%prep
%setup -q
%patch1 -p0 -b .install-perm

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/ltrace
%{_mandir}/man1/ltrace.1*
%{_datadir}/doc/ltrace/*
%config(noreplace) /etc/ltrace.conf

%changelog
* Fri May 19 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.4-1m)
- upgrade to 0.4
- add install-perm.patch

* Wed Oct 19 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.3.36-2m)
- enable x86_64, ppc, alpha

* Thu Feb 24 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.36-1m)
- version 0.3.36 
- change source URI
- revised specfile

* Sun Aug 22 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.3.35-1m)
- update to 0.3.35

* Tue May 18 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.3.32-1m)
- verup

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (0.3.31-2m)
- revised spec for enabling rpm 4.2.

* Sat Dec  27 2003 mutecat <mutecat@momonga-linux.org>
- (0.3.31-1m)
- update to 0.3.31
- config noreplace

* Tue Apr  2 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.3.26-2k)

* Mon Mar  4 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.3.23-2k)
- fix a broken symlink of ChangeLog

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.3.16-2k)
- update to 0.3.16

* Sat Dec  2 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.3.10-6k)
- added configure.mandir.enable.patch for compatibility

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Thu Feb 17 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Kondara Adaptations.

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Fri Jan  7 2000 Jeff Johnson <jbj@redhat.com>
- update to 0.3.10.
- include (but don't apply) sparc patch from Jakub Jellinek.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.3.6.

* Mon Sep 21 1998 Preston Brown <pbrown@redhat.com>
- upgraded to 0.3.4
